import type { HealthCheckGroupPresentationModel, HealthCheckGroupWithResultResponseModel } from '../core/backend-api/index.js';
import type { UmbApi } from '../../libs/extension-api/index.js';
import { UmbControllerBase } from '../../libs/class-api/index.js';
export declare class UmbHealthCheckContext extends UmbControllerBase implements UmbApi {
    #private;
    readonly checks: import("rxjs").Observable<HealthCheckGroupPresentationModel | undefined>;
    readonly results: import("rxjs").Observable<HealthCheckGroupWithResultResponseModel | undefined>;
    getGroupChecks(name: string): Promise<void>;
    checkGroup(name: string): Promise<void>;
    static isInstanceLike(instance: unknown): instance is UmbHealthCheckContext;
}
export default UmbHealthCheckContext;
